<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (!defined("_LOAD_PAGE_")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

$op = (isset($_GET['op'])) ? inCode($_GET['op']) : "" ;

function getphpinfo() {
	ob_start();

	phpinfo();
	preg_match('%<style type="text/css">(.*?)</style>.*?(<body>.*</body>)%s',ob_get_clean(),$matches);
	
	//$matches[1]; CSS
	//$matches[2]; Content
	
	?>
	<style type="text/css">
		.phpinfodisplay body {background-color: #ffffff; color: #000000;}
		.phpinfodisplay body,.phpinfodisplay  td,.phpinfodisplay  th,.phpinfodisplay  h1,.phpinfodisplay  h2 {font-family: sans-serif;}
		.phpinfodisplay pre {margin: 0px; font-family: monospace;}
		.phpinfodisplay a:link {color: #000099; text-decoration: none; background-color: #ffffff;}
		.phpinfodisplay a:hover {text-decoration: underline;}
		.phpinfodisplay table {border-collapse: collapse;}
		.phpinfodisplay .center {text-align: center;}
		.phpinfodisplay .center table { margin-left: auto; margin-right: auto; text-align: left;}
		.phpinfodisplay .center th { text-align: center !important; }
		.phpinfodisplay td,.phpinfodisplay  th { border: 1px solid #AAA; vertical-align: baseline;}
		.phpinfodisplay h1 {font-size: 150%;}
		.phpinfodisplay h2 {font-size: 125%;}
		.phpinfodisplay .p {text-align: left;}
		.phpinfodisplay .e {background-color: #DDD; font-weight: bold; color: #000000;}
		.phpinfodisplay .h {background-color: #DAA3A3; font-weight: bold; color: #000000;}
		.phpinfodisplay .v {background-color: #EEE; color: #000000;}
		.phpinfodisplay .vr {background-color: #EEE; text-align: right; color: #000000;}
		.phpinfodisplay img {float: right; border: 0px;}
		.phpinfodisplay hr {background-color: #cccccc; border: 0px; height: 1px; color: #000000;}
	</style>
	<?php
	
	echo "<div class='phpinfodisplay' style='overflow:auto; padding-top:4px;'>".str_replace('width="600"','width="99%"',$matches[2])."</div>\n";
}

require_once("admin/inc/inc_header.php");
	admin_page_title($page);
	
	openTable();
		switch($op) {
			default:
			case "phpinfo":
				getphpinfo();
			break;
		}
	closeTable();
require_once("admin/inc/inc_footer.php");

?>